---
title: "Graphics Pipeline Layout Info"
date: 2021-01-27T15:04:37-08:00
weight: 4
---

You finally get a bit of a break for now, because this one is easy.

`GraphicsPipelineLayoutInfo` just tells the graphics pipeline how many samplers you will be using in each shader stage.

```cs
var myPipelineLayoutInfo = new GraphicsPipelineLayoutInfo
{
    VertexSamplerBindingCount = 1,
    FragmentSamplerBindingCount = 3
};
```

With this example, we are telling our graphics pipeline that our vertex shader will be sampling one texture and our fragment shader will be sampling three textures.
